# Définition d'une variable avec un saut de ligne
MESSAGE=Compilation\
 en cours...

# Règle principale
all: fichier1 fichier2
	echo "$(MESSAGE)"
	echo "Création de tous les fichiers terminée."

# Règle pour fichier1
fichier1: 
	echo "Génération de fichier1"

# Règle pour fichier2 avec saut de ligne dans la dépendance
fichier2: fichier1\
 fichier3
	echo "Génération de fichier2"

# Règle pour fichier3
fichier3:
	echo "Génération de fichier3"

# Règle spéciale
.PHONY: clean

# Nettoyage
clean:
	echo "Suppression des fichiers générés"